## bera-lib-0.0.tar.gz

=== freenet/Makefile ===
# $Id: Makefile,v 1.42.4.4.2.1 2003/05/21 19:54:45 amphibian Exp $

SHELL ?= /bin/sh
RELEASE_NAME ?= `date +%Y%m%d`
JAR ?= jar

#
# define build targets
#

GATEWAY:=freenet/client/http/gateway.html

CLIENT:=freenet/client/*.java \
	freenet/client/cli/*.java

FPROXY:=freenet/client/http/*.java \
	freenet/client/http/filter/*.java \
	freenet/support/StripedBucketArray.java

TOOLS:=freenet/interfaces/TerminalService.java \
       freenet/interfaces/servlet/TestHttpServlet.java \
       freenet/node/NodeConsole.java \
       freenet/fs/dir/FSConsole.java \
       freenet/node/ds/DSConsole.java \
       freenet/node/FSTool.java

NODE:=freenet/node/Main.java \
      freenet/interfaces/servlet/SingleHttpServletContainer.java \
      freenet/interfaces/servlet/MultipleHttpServletContainer.java \
      freenet/node/http/DiagnosticsServlet.java \
      freenet/node/http/DistributionServlet.java \
      freenet/node/http/NodeInfoServlet.java \
      freenet/node/http/BookmarkManagerServlet.java

TESTS:=freenet/crypt/CryptTest.java \
       freenet/diagnostics/DiagnosticsTest.java \
       freenet/support/sort/SortTest.java \
       freenet/support/test/FieldsTest.java \
       freenet/support/test/HeapTest.java \
       freenet/support/test/KeyListTest.java \
       freenet/support/test/RedBlackTreeTest.java \
       freenet/support/test/BoyerMooreTest.java \
       freenet/support/test/URLDecoderTest.java \
       freenet/node/http/DistributionTest.java

#
# detect java compiler
#

JAVAC_OPTS:=-sourcepath src -d build $(JAVAC_OPTS)

ifndef JAVAC
    JAVAC:=$(shell if which jikes >/dev/null; \
		       then echo jikes; \
		       else if which kaffe >/dev/null; \
			   then echo kaffe at/dms/kjc/Main; \
			   else echo javac; \
		       fi \
		   fi)
endif

ifeq ($(shell test -f lib/freenet-ext.jar && echo yes), yes)
    ifeq ($(JAVAC), jikes)
	JAVAC_OPTS:=-bootclasspath lib/freenet-ext.jar $(JAVAC_OPTS)
    else
	JAVAC_OPTS:=-classpath lib/freenet-ext.jar $(JAVAC_OPTS)
    endif
endif


# set JAVA to java2 to compile without 1.1 compatability
ifneq ($(JAVA), java2)
ifeq ($(JAVAC), javac)
	JAVAC_OPTS:=$(shell java -version 2>&1 | grep '1\.1' >/dev/null \
		      || echo -target 1.1) \
		      $(JAVAC_OPTS)
endif		
else
#  JAVAC_OPTS:=-deprecation $(JAVAC_OPTS)
endif

#
# targets
#

all: client fproxy tools node

clean:
	rm -rf lib/freenet.jar build/freenet binfred *.o

realclean: clean
	rm -rf lib build tgz node_* store_* seednodes.ref freenet.log java gnu

check: tests
	scripts/test.sh

lib:
	mkdir lib

build:
	mkdir build

#build/$(GATEWAY): src/$(GATEWAY)
#	mkdir -p $(dir $@)
#	cp $< $@

#
# download targets
#

getlibs: lib
	rm -f lib/freenet-ext.jar
	cd lib; wget http://freenetproject.org/snapshots/freenet-ext.jar

getseeds:
	rm -f seednodes.ref
	wget http://freenetproject.org/snapshots/seednodes.ref

#
# dist targets
#

jar: all lib
	cd build; \
	$(JAR) -cmf ../src/node.manifest ../lib/freenet.jar freenet

tgz: jar
	mkdir -p tgz/freenet-$(RELEASE_NAME)
	cp -R lib tgz/freenet-$(RELEASE_NAME)
	cp start-freenet*.sh stop-freenet.sh scripts/preconfig.sh README tgz/freenet-$(RELEASE_NAME)
	if test -f seednodes.ref; then cp seednodes.ref tgz/freenet-$(RELEASE_NAME); fi
	cd tgz ;\
	tar c freenet-$(RELEASE_NAME) | gzip > ../freenet-$(RELEASE_NAME).tgz
	rm -rf tgz/freenet-$(RELEASE_NAME)

#rpm: jar
#	mkdir -p rpm/BUILD rpm/RPMS
#	java -cp lib/freenet.jar freenet.config.Setup --silent fred.conf.in
#	sed 's/^storePath=.*$/storePath=\/var\/spool\/fred/;\
#	     s/^logFile=.*$/logFile=\/var\/log\/fred/'\
#	     fred.conf.in > rpm/fred.conf
#	rm fred.conf.in
#	echo "%_topdir rpm" > rpm/.rpmmacros
#	HOME=rpm rpm -bb --target=noarch rpm/fred.spec
#	mv rpm/RPMS/noarch/fred*.noarch.rpm .
#	rm -rf rpm/BUILD rpm/RPMS rpm/.rpmmacros

# TARGET gcj 
# compiles a binary fred (named binfred) from bytecode freenet.jar

gcj: binfred

binfred: jar
	CLASSPATH=lib/freenet-ext.jar \
	gcj --main=freenet.node.Main \
		-o binfred \
		lib/freenet.jar \
		lib/freenet-ext.jar

#
# compilation targets
#

client fproxy tools node tests:: build

#fproxy:: build/$(GATEWAY)


client:: $(CLIENT)
	$(JAVAC) $(JAVAC_OPTS) $(addprefix src/,$^)

fproxy:: $(FPROXY)
	$(JAVAC) $(JAVAC_OPTS) $(addprefix src/,$^)
	test -d build/freenet/node/http/templates || mkdir -p build/freenet/node/http/templates
	cp -r src/freenet/node/http/templates build/freenet/node/http/

tools:: $(TOOLS)
	$(JAVAC) $(JAVAC_OPTS) $(addprefix src/,$^)

node:: $(NODE)
	$(JAVAC) $(JAVAC_OPTS) $(addprefix src/,$^)

tests:: $(TESTS)
	$(JAVAC) $(JAVAC_OPTS) $(addprefix src/,$^)


%.java:
	


.PHONY: all clean check getlibs getseeds jar tgz \
	client fproxy tools node tests %.java

=== Contrib/freenet_ext/Makefile ===
# Makefile to build the freenet-ext.jar
#
# This Makefile requires that you have the ../fecimpl/onion and
# ../javax directories installed.
#
# Real Makefile hackers will undoubtably find this somewhat
# underwhelming. Constructive criticism is welcome.
# giannijohansson@attbi.com

# Stuff all external dependencies into one
# jar.  

JAVAC=javac
JAVAC_OPTS=-target 1.1 -classpath .

#JAVAC=jikes
#JAVAC_OPTS=-classpath ${JIKESPATH}:.


freenet-ext:	servlet onion
		rm -rf build_dir
		mkdir -p  build_dir/javax/servlet
		mkdir -p build_dir/javax/servlet/jsp
		mkdir -p build_dir/javax/servlet/jsp/tagext
		mkdir -p build_dir/javax/servlet/http
		cd ..; `find javax -name '*.class' -exec cp {} freenet_ext/build_dir/{} \;` 
		cd ..; `find javax -name '*.properties' -exec cp {} freenet_ext/build_dir/{} \;`
		cd build_dir; jar xvf ../../fecimpl/onion/alien/onion-fec.jar
		cd build_dir; jar xvf ../../fecimpl/onion/alien/onion-common.jar
		rm -rf build_dir/META_INF
		cp ../fecimpl/onion/alien/onion_LICENSE build_dir
		cp ../fecimpl/onion/*.class build_dir
		cd build_dir; jar -cf ../freenet-ext.jar `find -type f`
		rm -rf build_dir

# zip up all the sources that were used to build the jar.
freenet-ext-src:
		rm -rf build_dir
		cd ..; `find javax -name '*.class' -exec rm -f {} \;` 
		make -C ../fecimpl/onion clean
		rm -f freenet-ext.jar
		rm -f freenet-ext-src.zip
		cd ..; zip -r freenet-ext-src.zip javax/ fecimpl/ freenet_ext/; \
                   mv freenet-ext-src.zip freenet_ext/

# build the javax.servlet.* classes
servlet:
		cd ..; rm -f `find javax -name '*.class'`; ${JAVAC} ${JAVAC_OPTS} `find javax -name '*.java'`

# build the FECEncoder/Decoder plugins for fproxy.
onion:
		make -C ../fecimpl/onion clean
		make -C ../fecimpl/onion classes

clean:
		rm -f freenet-ext.jar
		rm -f freenet-ext-src.zip

.PHONY:		servlet onion freenet-ext freenet-ext-src clean

=== Contrib/pyFreenet/Makefile ===
#@+leo
#@+node:0::@file Makefile
#@+body
#@@language
#
# Makefile for building Python module for Freenet FCP access
#
# Written by David McNab, released under the GNU Lesser General
# Public License, no warrantee - yada yada yada

all: docs

clean:
	rm -rf *.pyc *~ build html dist

docs:
	PYFREENETDOC=1 epydoc freenet.py
	rm -rf doc/classref
	mv html doc/classref

install:
	python setup.py install

install-doc:
	mkdir -p /usr/share/doc/pyFreenet
	cp -rp doc/* /usr/share/doc/pyFreenet


#@-body
#@-node:0::@file Makefile
#@-leo

=== Contrib/fecimpl/onion/Makefile ===
# Modify to point to your Freenet tree or jar.

FREENET_CP=../../../freenet/build
ONION_CP=./alien/onion-common.jar:./alien/onion-fec.jar


#FREENET_CP = ../../..
#ONION_CP = ./alien/onion-common.jar:./alien/onion-fec.jar

DISTRO_TAG=onionfec-0.2

LOCAL_CP=.:${ONION_CP}:${FREENET_CP}

JAVAC=javac
JAVAC_OPTS=-target 1.1 -classpath ${LOCAL_CP}

#JAVAC=jikes
#JAVAC_OPTS=-classpath ${LOCAL_CP}:${JIKESPATH} 


classes:	FECUtils.class \
		OnionFECEncoder.class \
		OnionFECDecoder.class

jar:		classes
		jar -cvf ${DISTRO_TAG}.jar ./*.class

snap:		clean
		rm -f *~
		zip  ${DISTRO_TAG}_src.zip *.java Makefile README alien/*

clean:
		rm -f *.class
		rm -f *.jar
		rm -f *.zip
		rm -rf distro

distro:         snap jar
		rm -rf distro
		mkdir distro/
		cp ./alien/*.jar distro
		cp ./alien/onion_LICENSE distro
		cp *.jar distro
		cp *.zip distro
		cp README distro
		cd distro; zip ../${DISTRO_TAG}.zip *
		rm -f *.class
		rm -f *.jar
		rm -rf distro
		rm ${DISTRO_TAG}_src.zip 

%.class:	%.java
	${JAVAC} ${JAVAC_OPTS} $<

.PHONY:		clean jar distro

=== Contrib/wininstall/Sources/freenet.exe/Makefile ===
# Standard Makefile for freenet.exe
# For use with GNU make and compatibile toolchain

PROGRAMS = freenet
RM       = rm

# Core source file names

SRCS =  freenet.c launchthread.c
OBJS =  freenet.o launchthread.o rsrc.res

#  Change compiler to suit (gcc is recommended)
CC = gcc
#  I use windres as a GNU resource compiler
RC = windres

CCOPTIONS = 
CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(DEFINES)

# Pick a suitable CDEBUGFLAGS:

# Fully optimised
CDEBUGFLAGS = -O6 -fomit-frame-pointer -finline-functions -Wall -Wwrite-strings

# Linker flags
LFLAGS = -Wl,-O9,--strip-all,--discard-all,-Bdynamic,-N

# RC flags:
RCFLAGS = --input-format rc --output-format coff


all : freenet

freenet : $(OBJS)
	$(CC) $(CFLAGS) $(LFLAGS) -o freenet.exe $(OBJS)

	


# dependencies
freenet.o:		freenet.c types.h rsrc.h freenet_tray.h launchthread.h shared_data.h Makefile
launchthread.o:	launchthread.c types.h launchthread.h shared_data.h Makefile


rsrc.res:	rsrc.rc rsrc.h Makefile
	$(RC) $(RCFLAGS) -o rsrc.res -i rsrc.rc 

clean :: 
	$(RM) *.o 
	$(RM) *.res
	$(RM) freenet.exe 
	$(RM) *.opt
	$(RM) *.plg
	$(RM) *.aps
	$(RM) *.ncb

=== Contrib/fcptools/debian/changelog ===
fcp (0.4.7-1) unstable; urgency=low

  * Initial Release.

 -- Jay Oliveri <ilnero@gmx.net>  Thu,  9 May 2002 13:15:30 -0400

=== Contrib/fcptools/debian/control ===
Source: fcp
Section: devel
Priority: optional
Maintainer: Jay Oliveri <ilnero@gmx.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: fcptools
Section: net
Architecture: any
Suggests: freenet
Description: Freenet Client Protocol Tools
 FCPTools include command line programs to insert and retrieve content
 from Freenet, a peer-to-peer network for anonymous publishing.
 .
 This package provides sample tools for publishing and retrieving
 (fcpput, fcpget, fcpputsite and fcpputsplit).  Also included is ezFCPlib,
 intended for more advanced Freenet clients.

Package: fcptools-dev
Section: devel
Architecture: any
Suggests: freenet
Depends: fcptools (= ${Source-Version})
Description: Freenet Client Protocol Tools - development
 FCPTools include command line programs to insert and retrieve content
 from Freenet, a peer-to-peer network for anonymous publishing.
 .
 This package includes the development files required to compile
 programs that use the ezFCPlib library.

=== Contrib/fcptools/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp config.cache config.status

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp/usr
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	dh_undocumented fcpget.1
	dh_undocumented fcpput.1
	dh_undocumented fcpputsite.1
	dh_undocumented fcpputsplit.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
